from model import *
from triangle import *
from setmask import *
from parameterize import *
from setflowequation import *
from EnumDefinitions import *
from solve import *
from MatlabFuncs import *

md=triangle(model(),'../Exp/Pig.exp',20000.)
md=setmask(md,'../Exp/PigShelves.exp','../Exp/PigIslands.exp')
md=parameterize(md,'../Par/Pig.py')
md=setflowequation(md,'macayeal','all')
md.cluster=generic('name',oshostname(),'np',3)
md=solve(md,TransientSolutionEnum())

# Fields and tolerances to track changes
field_names     =['Vx1','Vy1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Vx2','Vy2','Vel2','Pressure2','Bed2','Surface2','Thickness2']
field_tolerances=[1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13]
field_values=[\
	md.results['TransientSolution'][1]['Vx'],\
	md.results['TransientSolution'][1]['Vy'],\
	md.results['TransientSolution'][1]['Vel'],\
	md.results['TransientSolution'][1]['Pressure'],\
	md.results['TransientSolution'][1]['Bed'],\
	md.results['TransientSolution'][1]['Surface'],\
	md.results['TransientSolution'][1]['Thickness'],\
	md.results['TransientSolution'][2]['Vx'],\
	md.results['TransientSolution'][2]['Vy'],\
	md.results['TransientSolution'][2]['Vel'],\
	md.results['TransientSolution'][2]['Pressure'],\
	md.results['TransientSolution'][2]['Bed'],\
	md.results['TransientSolution'][2]['Surface'],\
	md.results['TransientSolution'][2]['Thickness'],\
	]
