from model import *
from triangle import *
from setmask import *
from parameterize import *
from setflowequation import *
from EnumDefinitions import *
from solve import *
from MatlabFuncs import *

md=triangle(model(),'../Exp/Pig.exp',30000.)
md=setmask(md,'../Exp/PigShelves.exp','../Exp/PigIslands.exp')
md=parameterize(md,'../Par/Pig.py')
md.extrude(4,1.1)
md=setflowequation(md,'macayeal','all')
md.cluster=generic('name',oshostname(),'np',3)
md.timestepping.time_step=0.
md=solve(md,SteadystateSolutionEnum())

# Fields and tolerances to track changes
field_names     =['Vx','Vy','Vz','Vel','Pressure','Temperature','BasalforcingsMeltingRate']
field_tolerances=[1e-09,1e-09,1e-09,1e-09,1e-09,1e-09,1e-08]
field_values=[\
	md.results['SteadystateSolution'][1]['Vx'],\
	md.results['SteadystateSolution'][1]['Vy'],\
	md.results['SteadystateSolution'][1]['Vz'],\
	md.results['SteadystateSolution'][1]['Vel'],\
	md.results['SteadystateSolution'][1]['Pressure'],\
	md.results['SteadystateSolution'][1]['Temperature'],\
	md.results['SteadystateSolution'][1]['BasalforcingsMeltingRate'],\
	]
